Subject: Veryfying my understanding to MBONE

From: "Ayman Ali Ali" <[email-masked]>
Date: Tue, 11 Nov 1997 11:34:21 +3

Dear ALL

  I'm trying to verify my understanding to the MBONE architecture, may
  you? Please tell me if the following paragraphs are CORRECT OR NOT:

If I'm a user A and i send a multicasting request to a multicasting
host B

According to the following Diagram.

     |--------|
     |    B   |  Multicasting Host, that runs 
     |___ ____|  multicasting application
         |
_________|________________________________
    /\          |             |
 M   |          |             |
 u   |        #####           |
 l   |        #   #           |
 t   |        # R5#           |
 i   |        #####           |
 c   |          |             |
 a   |          |             |
 s   |        #####           |
 t   |        #   #           |
 i   |        # R4#           |
 n   |        #####           |
 g   |          |             |
     |          |             |
     |        #####           |
 R   |        #   #           |   Multicasting 
 e   |        # R3#           |   Data sent from
 q   |        #####           |   B to multicasting
 u   |          |             |   group 244.0.1.88
 e   |          |             |
 s   |        #####           |
 t   |        #   #           |
     |        # R2#           |
     |        #####           |
     |          |             |
     |          |             |
     |        #####           |
     |        #   #           |
     |        # R1#           |
     |        #####           |
     |          |             |
     |         _|_____________\/________
                       |
                       |
                  |--------|  host IP is 168.187.1.1
                  |    A   |  Multicasting Group 244.0.1.88
                  |________|

R1 -> R2 is a tunnel
R2 -> R3 is a tunnel
R3 -> R4 is a tunnel
R4 -> R5 is a tunnel

The first router R1 will store that my IP is subscribing in group
244.0.1.88 for example

and the second router R2 for example will store that R1 has a member
in the group 244.0.1.88

and R3 will store that R2 has a another router connected to it (which
is R1) that leads to a member in that group

Till my request reaches the final router R4 for example.

Then the host B will send the data to R5 and R5 will check his tables
and discovers that he must send these packets to R4 but he will make
encapsulation first. This encapsulation says just transmit these data
to R4 and R4 will also understand that he must retransmit these data
to R3 and so on until the data reaches R1, R1 discovers that the group
member is 168.187.1.1 then R1 send the data to 168.187.1.1 and if
there is another member in the group 244.0.1.88 in his same Sub net he
will send him the data too.

if I made a tunnel with a router, will I be able to access all the
tunnels he is making with other routers.

now are the following paragraphs also CORRECT OR NOT:

     |--------|
     |    B   |  Multicasting Host, that runs 
     |________|  multicasting application
          |
__________|________________________________
      /\         |             |
 M    |          |             |
 u    |        #####           |
 l    |        #   #           |
 t    |        # R5#           |
 i    |        #####           |
 c    |          |             |
 a    |          |             |
 s    |        #####           |
 t    |        #   #           |
 i    |        # R4#           |
 n    |        #####           |
 g    |          |             |
      |          |             |
      |        #####           |
 R    |        #   #           |   Multicasting 
 e    |        # R3#           |   Data sent from 
 q    |        #####           |   B to multicasting
 u    |          |             |   group 244.0.1.88
 e    |          |             |
 s    |        #####           |       #####                
 t    |        #   #___________________#   #                
      |        # R2#                   # R6#                
      |        #####                   ##### |
      |          |       |               |   |        
      |          |       |               |   |
      |        #####     |             ##### |        
      |        #   #     |             #   # |        
      |        # R1#     |             # R7# |        
      |        #####     |             ##### |        
      |          |       |               |   |        
      |    ______|______\/___    ________|___\/____
              |                         |
              |                         |
       |-------|  host IP is        |-------|  host IP is 
       |  A    |  168.187.1.1       |   C   |  168.187.1.2
       |_______|  Multicasting      |_______|  Multicasting 
                  Group244.0.1.88              Group244.0.1.88

in this Architecture there are two users in the multicasting group
244.0.1.88 A and C

they sent the request for multicasting data the same scenario will
occur in the request but in the replay the data will come to R2 then
R2 will duplicate the data to go to R6 and R1.
     Thanks and Best Regards
      ____________________________________   
  -=((                                    ))=- 
-==(((        AYMAN ALI ALI               )))==- 
  -=((____________________________________))=-   
E-mail:[email-masked]